#pragma once

#include <map>
#include "Vector.h"

class TruthTable
{
public:
    using TableData = std::map<Vector<bool>, Vector<bool> >;

    TruthTable(size_t, size_t)
        //:	mNumInputColumns(numInputColumns),
        //    mNumOutputColumns(numOutputColumns)
    {

    }

    void setTable(const TableData& data)
    {
        mTable = data;
    }

    static TruthTable getAndTruthTable();

    static const TruthTable::TableData AND_TRUTH_TABLE;

private:
    //size_t mNumInputColumns{ 0 };
    //size_t mNumOutputColumns{ 0 };

    TableData mTable;
};
