#pragma once

#include "Byte.h"

#include "String.h"
#include "Vector.h"

class StringUtils
{
public:
    static size_t countFirstConsecutiveHits(const String& input, char c);

    static String removeUpTo(const String& input, const String& prefix);

    static bool startsWith(const String& input, const String& prefix, bool ignoreWhitespace = false);

    static String stripSurroundingWhitepsace(const String& input);

    static String stripQuotes(const String& input);

    static String toPaddedString(unsigned numBytes, unsigned entry);
};
