#pragma once

#include "BitStream.h"
#include "IOStream.h"
#include "Byte.h"

class InputBitStream : public BitStream
{
    InputBitStream(InputStream<Byte>* stream);

    bool isFinished() const override;

    void peekNextNBytes(size_t n, VecBytes& bytes) const override;

    bool readNextByte(Byte& buffer) override;

    void writeByte(Byte data, bool checkOverflow = true) override;

    void writeBytes(const VecBytes&) override
    {
    }

private:
    InputStream<Byte>* mStream{nullptr};
};
