#pragma once

#include "Error.h"

class Stream
{
public:
    const Status& get_last_error() const;

    virtual bool good() const;

    bool has_error() const 
    {
        return m_has_error;
    }

protected:
    void on_error(const String& msg);

    void on_error(const Status& status);

    bool m_has_error{false};
    Status m_last_error;
};

