#pragma once

#include "IOStream.h"
#include "String.h"

class StringStream : public InputStream<Byte>
{
public:
    StringStream(const String& str);

    bool finished() const;

    bool good() const override;

    bool get(Byte& item);

private:
    bool m_end_of_stream{false};
    size_t m_offset{0};
    VecBytes m_buffer;
};