#include "NullAudioInterface.h"
#include "FileLogger.h"

#include "AudioSynth.h"

#include "Vector.h"

NullAudioInterface::NullAudioInterface()
{

}

NullAudioInterface::~NullAudioInterface()
{

}

Ptr<NullAudioInterface> NullAudioInterface::Create()
{
    return std::make_unique<NullAudioInterface>();
}

void NullAudioInterface::openDevice(AudioDevice*)
{

}

void NullAudioInterface::play(AudioDevice*, AudioSample*, unsigned)
{

}
