#pragma once

#include "ImageBitStream.h"
#include "BitStream.h"

#include "FileLogger.h"

#include <iostream>

class PngFilter
{
public:
    enum class FilterType : unsigned char
    {
        NONE,
        SUB,
        UP,
        AVERAGE,
        PAETH
    };

    PngFilter(BitStream* inputStream, BitStream* outputStream);

    void encode();

    void decode();

private:
    FilterType mFilterType{FilterType::NONE};
    BitStream* mInputStream{nullptr};
    BitStream* mOutputStream{nullptr};
};
