#pragma once

#include "PdfObject.h"

class PdfPageTree;
class PdfOutlineCollection;

class PdfDocumentCatalog : public PdfObject
{
public:
    PdfDocumentCatalog();

    unsigned indexObjects(unsigned count) override;

    String toString(PdfXRefTable* xRefTable) override;

private:
    void updateDictionary() override;

    Ptr<PdfOutlineCollection> mOutlines;
    Ptr<PdfPageTree> mPages;
};
