#pragma once

#include "PdfObject.h"

#include "Vector.h"

class PdfOutline : public PdfObject
{
public:
    String toString(PdfXRefTable* xRefTable) override;
};
using PdfOutlinePtr = Ptr<PdfOutline>;

class PdfOutlineCollection : public PdfObject
{
public:

    unsigned indexObjects(unsigned count) override;

    String toString(PdfXRefTable* xRefTable) override;

    void updateDictionary() override;

private:
    Vector<PdfOutlinePtr> mOutlines;
};
