#pragma once

#include "UiEvent.h"

#include "Vector.h"

class EventManager
{
    Vector<UiEventUPtr> mEvents;

public:

    EventManager();

    static Ptr<EventManager> Create();

    UiEvent* AddEvent(UiEventUPtr event);

    void ClearEvents();
};

using EventManagerUPtr = Ptr<EventManager>;
