#pragma once

#include "String.h"
#include <filesystem>

using Path = std::filesystem::path;

class SiteGeneratorConfig
{
public:
    Path getThemePath() const;

    String getActiveTheme() const;

    void setThemePath(const Path& path);

    void setActiveTheme(const String& theme);

private:
    Path mThemesPath;
    String mActiveTheme;
};
