#include "BuildLibrary.h"

BuildLibrary::BuildLibrary(BuildTargetType lib_type)
    : BuildBinary(lib_type)
{

}

BuildLibrary::BuildLibrary(Ptr<BuildConfig> config)
    : BuildBinary(std::move(config))
{
}

Status BuildLibrary::build()
{
    return BuildBinary::build();
}