#pragma once

#include "String.h"
#include "Vector.h"
#include <cstdint>

class Unicode
{
public:
	//static String utf16ToUtf8String(const std::wstring& input);

	//static std::wstring utf8ToUtf16WString(const String& input);

	static Vector<uint32_t> utf8ToUtf32(const String& input);

private:
	static bool isSurrogate(wchar_t c);
	static bool isHighSurrogate(wchar_t c);
	static bool isLowSurrogate(wchar_t c);
	static uint32_t surrogateToUtf32(wchar_t high, wchar_t low);
};
