#pragma once

#include "Pointer.h"
#include "String.h"

#include "XmlElement.h"
#include "XmlProlog.h"

class XmlDocument
{
public:
    XmlDocument();
    virtual ~XmlDocument();

    const XmlProlog* getProlog() const;
    XmlProlog* getProlog();
    const XmlElement* getRoot() const;

    void setProlog(Ptr<XmlProlog> prolog);
    void setRoot(Ptr<XmlElement> root);
private:
    Ptr<XmlProlog> mProlog;
    Ptr<XmlElement> mRoot;
};
