#include "OutputBitStream.h"

OutputBitStream::OutputBitStream(OutputStream<Byte>* stream)
    : BitStream(),
      mStream(stream)
{

}

bool OutputBitStream::isFinished() const
{
    return true;
}

void OutputBitStream::peekNextNBytes(size_t, VecBytes&) const
{

}

bool OutputBitStream::readNextByte(Byte& buffer)
{
    return false;
}

void OutputBitStream::writeByte(Byte data, bool)
{
    //(*mStream) << data;
}

void OutputBitStream::writeBytes(const VecBytes& data)
{
    for(auto byte : data)
    {
        writeByte(byte);
    }
}
