#include "Stream.h"

bool Stream::good() const
{
    return m_has_error;
}

const Status& Stream::get_last_error() const
{
    return m_last_error;
}

void Stream::on_error(const String& msg)
{
    m_has_error = true;
    m_last_error = Status(Error(msg));
}

void Stream::on_error(const Status& status)
{
    m_has_error = true;
    m_last_error = status;
}