#pragma once

#include "AbstractPainter.h"

#include "Pointer.h"

class DrawingContext;

template<typename T>
class Grid;

class RasterPainter : public AbstractPainter
{
public:
    RasterPainter(DrawingContext* context);

    void paint() override;

private:
    Ptr<Grid<unsigned char> > mGrid;
};
