#pragma once

#include "Pointer.h"

#include "UiEvent.h"

class ResizeEvent : public UiEvent
{
public:
    ResizeEvent(unsigned width, unsigned height);

    ~ResizeEvent();

    static Ptr<ResizeEvent> Create(unsigned width, unsigned height);

    unsigned getWidth() const
    {
        return mWidth;
    }

    unsigned getHeight() const
    {
        return mHeight;
    }

private:
    unsigned mWidth{0};
    unsigned mHeight{0};
};
using ResizeEventPtr = Ptr<ResizeEvent>;
